/*
 * Directional Light
 *
 * (c) 2007 Jeremy Huddleston <jeremyhu@cs.berkeley.edu>
 *
 * Released under the terms of the LGPL-2:
 * http://www.fsf.org/licensing/licenses/lgpl.txt
 */

light distantlight_grouped(float intensity = 1;
                           color lightcolor = 1;
                           point from = point "shader" (0,0,0);
                           point to = point "shader" (0,0,1); 
                           uniform float group_id = 0; ) {

    solar (to-from, 0) {
        Cl = intensity * lightcolor;
    }
}
